## gate.gui
Class TabHighlighter

    java.lang.Object
      |
      +--gate.gui.TabHighlighter

public class TabHighlighter
extends Object

Highligts a tab in a JTabbedPane. Removes the highlight automatically when the highlighted tab is selected.

Field Summary
`(package private) Color` `highlightColour`
`(package private) Color` `oldColour`
`(package private) int` `tab`
`(package private) JTabbedPane` `tPane`

Constructor Summary
`TabHighlighter(JTabbedPane pane, Component comp, Color highlightColour)`

Method Summary
`void` `highlight()` Highlights the tab unless is selected
`void` `removeHighlight()` Restores the tab to the normal colour

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### tPane

    JTabbedPane tPane

### tab

    int tab

### highlightColour

    Color highlightColour

### oldColour

    Color oldColour

Constructor Detail

### TabHighlighter

    public TabHighlighter(JTabbedPane pane,
                          Component comp,
                          Color highlightColour)

Method Detail

### highlight

    public void highlight()

  Highlights the tab unless is selected

### removeHighlight

    public void removeHighlight()

  Restores the tab to the normal colour